
#include "area.h"
#include "card_base.h"

#include "area_business_forbid.h"

struct forbid_data:business_data
{
    forbid_data()
    {
    }
};

area_business_forbid::area_business_forbid()
{
}

//记录进入时间等信息,生成告警
void area_business_forbid::on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr)
{

}

void area_business_forbid::on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr)
{

}

//记录退出时间等信息
void area_business_forbid::on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr)
{
}


